System Requirements

Before installing Cloudera Streaming Analytics, you should verify that you meet the system requirements. Other than CDP Private Cloud Base, you should also check the latest supported version of the needed components.

CDP Private Cloud Base support CSA 1.4 runs on CDP Private Cloud Base 7.1.1-7.1.6
Operating system support RHEL/CentOS 7.6-7.9
Ubuntu 18.04
SLES 12
JDK support Open JDK 8
Oracle JDK 8
Open JDK 11
Database support MySQL 5.7, 8
MariaDB 10.2
PostgreSQL 9.6-12
Oracle DB 19.0.0
Component support Flink 1.12
Component support for connectors Kafka1 2.5.0
Schema Registry 0.10.0
Streams Messaging Manager 2.1.0
HBase 2.2.3
HDFS 3.1.1
Atlas 2.1.0
Kudu 1.13.0
Hive 3.1.3
1 Connecting to Kafka that is running on remote CDH6 or HDP3 is also supported.